<section id="cryo_agent_settings">
    <form action="{{ url_for('settings.update_cryo_agent_settings') }}"
          method="post">
        <div class="settings-tab">
            <div class="settings-tab-data">
                <h2>General Settings</h2>
                <table class="settings-table">
                    <tr>
                        <td class="settings-label tooltip">
                            <label for="fridge_name">Fridge name</label>
                            <span class="tooltiptext">Unique name of the fridge</span>
                        </td>
                        <td class="settings-data">
                            <input class="settings-text-input"
                                   disabled
                                   type="text"
                                   id="fridge_name"
                                   name="fridge_name"
                                   value="{{ cryo_agent_settings.fridge_name }}">
                        </td>
                    </tr>
                    <tr>
                        <td class="settings-label tooltip">
                            <label for="log_level">Log level</label>
                            <span class="tooltiptext">Log level of the main process</span>
                        </td>
                        <td class="settings-data">
                            <select name="log_level" id="log_level">
                                <option {% if cryo_agent_settings.log_level=="DEBUG" %}selected="selected"{% endif %}>DEBUG</option>
                                <option {% if cryo_agent_settings.log_level=="INFO" %}selected="selected"{% endif %}>INFO</option>
                                <option {% if cryo_agent_settings.log_level=="WARNING" %}selected="selected"{% endif %}>WARNING</option>
                                <option {% if cryo_agent_settings.log_level=="ERROR" %}selected="selected"{% endif %}>ERROR</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td class="settings-label tooltip">
                            <label for="alert_settings_upload_method">Alert settings upload method</label>
                            <span class="tooltiptext">Upload method for updating/settings the alert settings</span>
                        </td>
                        <td class="settings-data">
                            <select name="alert_settings_upload_method" id="alert_settings_upload_method">
                                <option {% if cryo_agent_settings.alert_settings_upload_method=="API" %}selected="selected"{% endif %}>API</option>
                                <option {% if cryo_agent_settings.alert_settings_upload_method=="File" %}selected="selected"{% endif %}>File</option>
                            </select>
                        </td>
                    </tr>
                </table>
            </div>
            <div class="settings-tab-save">
                <button class="button-3" type="submit">Save settings</button>
            </div>
        </div>
    </form>
</section>
<script>
//$(() =>{
//    $("#log_level").selectmenu({
//        change: function(event, data){
//            console.log('test')
//        }
//    });
//});
</script>
